#include <stdio.h>
#include <string.h>
#include "stats.h"
#include "erdas.h"


void write_image (max_patch_id)
short	max_patch_id;
{

	short  packtype;


        strcat(imagename,".ID");

	switch (data_type) {
	   case 1:
              write_svf(imagename,id);
	      break;

	   case 2:
              write_ascii (imagename,id);
	      break;

	   case 3:
              if (max_patch_id > 255) {
                 printf ("\nOutput ID file will be 16 bit -- patch IDs");
                 printf ("\nexceed 255 [limit of an 8 bit image].");
		 write_binary (imagename,id,2);
              }
	      else 
                 write_binary (imagename,id,1);

	      break;
          
	   case 4:
	      write_binary (imagename,id,2);
	      break;
 
           case 5:
	      packtype = 0;             /* 4 bit image */
	      if (max_patch_id > 15)
		 packtype = 1;          /* 8 bit image */
	      if (max_patch_id > 255)
		 packtype = 2;          /* 16 bit image */
              
	      write_erdas (imagename,id,packtype);
	      break;

	    case 6:
	      packtype = 1;             /* 8 bit image */
	      if (max_patch_id > 255)
		 packtype = 2;          /* 16 bit image */

              write_idrisi("patchid",id,2);
	      
	}

}
